<?php
session_start();

require_once('conexion.php');

if ($db->connect_error) {
    //no conecta a la bd
    //die("Error al conectar con la BD: " . $db->connect_error);
    $errors = ['db_error' => true];
    echo json_encode($errors, JSON_UNESCAPED_UNICODE);
} else {

     //hay conexión a la bd, dejamos por defecto el error con que no hay registros
     $errors = ['no_record' => true];
     $resultado = ['estado' => 'ok'];

    //Eliminando las  cookies  en session
    setcookie($_SESSION['IdUser'], "", 1);
    setcookie($_SESSION['IdUser'], false);
    unset($_COOKIE[$_SESSION['IdUser']]);


    unset($_SESSION['IdUser']); // Eliminar el IdUser de usuario
    session_unset(); //Eliminar todas las sesiones

    //Terminar la sesión:
    session_destroy();
    $parametros_cookies = session_get_cookie_params();
    setcookie(session_name(), 0, 1, $parametros_cookies["path"]);

    echo json_encode($resultado, JSON_UNESCAPED_UNICODE);
}
